use std::{collections::HashMap, env::consts::DLL_EXTENSION, path::Path};

use serde::Deserialize;

pub(super) type Revision = git2::Oid;

#[derive(Debug, Deserialize)]
pub struct InstallInfo {
    pub url: String,

    pub files: Vec<String>,
}

pub type LanguageDefs = HashMap<String, InstallInfo>;

pub fn is_installed(language: &str, parser_dir: &Path) -> bool {
    parser_dir
        .join(language)
        .with_extension(DLL_EXTENSION)
        .exists()
}
